Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename nth-check
%global enable_tests 1

Name:		nodejs-nth-check
Version:	1.0.1
Release:	alt1_9
Summary:	Performant nth-check parser & compiler

License:	BSD
URL:		https://github.com/fb55/nth-check
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/fb55/nth-check/master/LICENSE

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	npm(boolbase)
%endif
Source44: import.info

%description
Performant nth-check parser & compiler


%prep
%setup -q -n package
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_9
- new version

